Subject: Re: php compilation error = expat problem?
From: "Gerrit P. Haase" <[email-masked]>
To: "Andreas" <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 Sep 2002 17:26:22 +0200

Andreas schrieb:

>> > I encountered problems concerning the installation of expat (1.95.4-1).
>> > After
>> > $ tar xjvf expat-1.95.4-1-src.tar.bz2
>> > $ ./expat-1.95.4-1.sh all
>>
>> > the script breaks with:
>> > ...
>> > + reconf-cygwin.sh
>> > reconf-cygwin.sh: not found
>> > + STATUS=127
>> > + exit 127
>>
>> > But reconf-cygwin.sh is in the expat-1.95.4/ dir.
>> > Is there a way to complete the installation of the package properly?
>>
>> 1. Install the binary package.
>> 2. It is a bug in the script. Fix:
>>    Add . to your path or change reconf-cygwin.sh to ./reconf-cygwin.sh
>>    in the script (expat-1.95.4-1.sh).

> Thanks! It works now (if it's right when expat-1.95.4-1.sh ends with: exit
> 0).

> Could somebody please explain the occurence of the error when compiling php
> (even with reinstalled expat package)(used command:
> ./configure --with-apxs --without-mysql --with-pgsql --with-expat-dir):
> ...
> configure:73895: checking whether to enable XML support
> configure:73934: result: yes
> checking external libexpat install dir... yes
> configure: error: not found. Please reinstall the expat distribution.

Hmmm, older autoconf version?  Look in config.log what happened and try to
find the part in configure where the check for expat is located and figure
out what it is looking for.  I saw problems (not related to these packages)
where it was checked for versions 1.1, 1.2 and 1.3 and I got 1.4, so the
check failed...

> Does the following problem correlate with a missing package and/or configure
> option of php (if yes, which one)? Could it be a problem with expat?

Sorry, I don't know about PHP.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/